package m05bReformasEJB;

/**
 * Date: May 5, 2004
 * Time: 4:41:16 PM
 */
public class m05ReformasPK  implements java.io.Serializable{

    /**
   * This is the primary key.
   * It is the Reformas codigo, which is the primary key
   * in table <tt>m0537t00</tt>.
   */
    public String ref_codigo;

      /**
       * This is the equals method.
       * @param obj java.lang.Object
       * @return boolean
       */
      public boolean equals(Object obj) {
        if (obj instanceof m05ReformasPK) {
          m05ReformasPK otherKey = (m05ReformasPK) obj;
          return ((this.ref_codigo == otherKey.ref_codigo));
        }
        else
          return false;
      }

      /**
       * This is the hashCode method.
       * @return int
       */
      public int hashCode() {
        return Integer.parseInt(this.ref_codigo);
      }
}
